using System.Web.Optimization;

namespace InventoryTraker.Web
{
	public static class BundleConfig
	{
		public static void RegisterBundles(BundleCollection bundles)
		{
			bundles.Add(new StyleBundle("~/Content/all-styles")
				.Include("~/Content/font-awesome.css")
				.Include("~/Content/bootstrap.css")
				.Include("~/Content/sb-admin.css")
				.Include("~/css/layout.css")
				.Include("~/Content/ui-grid.css")
				);

			bundles.Add(new ScriptBundle("~/js/all-javascript")
				.Include("~/Scripts/jquery-1.9.1.js")
				.Include("~/Scripts/bootstrap.js")
				.Include("~/Scripts/angular.js")
				.Include("~/Scripts/angular-animate.js")
				.Include("~/Scripts/angular-ui/ui-bootstrap-tpls.js")
				.Include("~/Scripts/angular-strap.js")
				.Include("~/Scripts/angular-strap.tpl.js")
				.Include("~/Scripts/ui-grid.js")
				.Include("~/js/app.js")
				.IncludeDirectory("~/js/", "*.js", true)
				);
		}
	}
}